Zoho Projects API Documentation
Text copied
File not found

Issue Custom Views

This module covers custom view related operations within Zoho Projects. Use this API to create, retrieve, update, or delete custom views, set views as default or favorite, and manage the columns and layout of custom views for both individual projects and the portal.

Get Custom Views

Retrieve custom views of the portal

GET

/api/v3/portal/[PORTAL_ID]/issues/customviews

OAuth Scope:

ZohoProjects.bugs.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/issues/customviews")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200

Get Project Custom Views

Retrieve custom views of a project

GET

/api/v3/portal/[PORTAL_ID]/projects/[PROJECT_ID]/issues/customviews

OAuth Scope:

ZohoProjects.bugs.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200{ "favourites" : [ ], "default_views" : [ { "custom_view_id" : "0", "module_id" : "139655000000018003", "name" : "All Issues", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : true, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "6", "module_id" : "139655000000018003", "name" : "All Open", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "7", "module_id" : "139655000000018003", "name" : "All Closed", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "19", "module_id" : "139655000000018003", "name" : "My Open", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "20", "module_id" : "139655000000018003", "name" : "My Closed", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "21", "module_id" : "139655000000018003", "name" : "Unassigned", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "38", "module_id" : "139655000000018003", "name" : "Overdue & Open", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "23", "module_id" : "139655000000018003", "name" : "Created Today", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "25", "module_id" : "139655000000018003", "name" : "Issues I Follow", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "33", "module_id" : "139655000000018003", "name" : "Escalated Issues", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "27", "module_id" : "139655000000018003", "name" : "Issues Created By Me", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "29", "module_id" : "139655000000018003", "name" : "Assigned Via Pick List", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false }, { "custom_view_id" : "41", "module_id" : "139655000000018003", "name" : "Issues Associated to Team", "access_type" : "1", "is_custom_column" : false, "is_default" : true, "is_favourite" : false, "is_anchored" : false, "is_editable" : false, "is_deletable" : false, "overview_access" : false } ], "custom_views" : [ { "custom_view_id" : "139655000000435005", "module_id" : "139655000000018003", "name" : "title", "description" : "", "access_type" : "2", "project_access_type" : "2", "is_custom_column" : false, "is_default" : false, "custom_view_owner" : "73746290", "is_favourite" : false, "is_anchored" : false, "is_editable" : true, "is_deletable" : true, "overview_access" : false }, { "custom_view_id" : "139655000000114164", "module_id" : "139655000000018003", "name" : "Zoho Desk Issue", "description" : "", "access_type" : "2", "project_access_type" : "2", "is_custom_column" : false, "is_default" : false, "custom_view_owner" : "73746290", "is_favourite" : false, "is_anchored" : false, "is_editable" : true, "is_deletable" : true, "overview_access" : false }, { "custom_view_id" : "139655000000114150", "module_id" : "139655000000018003", "name" : "Created Date is 30-06-2023", "description" : "Displays all records created on June 30, 2023. Use this view to track and review items logged on that date.", "access_type" : "2", "project_access_type" : "2", "is_custom_column" : false, "is_default" : false, "custom_view_owner" : "73746290", "is_favourite" : false, "is_anchored" : false, "is_editable" : true, "is_deletable" : true, "overview_access" : false } ] }

Get Custom View Details From Project

Retrieve the details of a custom view along with its fields

GET

/api/v3/portal/[PORTAL_ID]/projects/[PROJECT_ID]/issues/customviews/[CUSTOMVIEW_ID]

OAuth Scope:

ZohoProjects.bugs.READ

Path Parameters

Param Name
Data Type
Description

Request Example

Request Example
  • cURL
  • Deluge
  • Node.js
  • Ruby
  • PHP
  • Python
  • C
  • C#
  • C++
  • Clojure
  • Go
  • HTTP
  • Java
  • JS Fetch
  • Kotlin
  • Objective-C
  • OCaml
  • PowerShell
  • R
  • Swift

curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]";
response = invokeUrl
[
    url: url
    type: GET
    connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]');

const options = {
  hostname: url.hostname,
  path: url.pathname + url.search,
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

const req = https.request(options, (res) => {
  let data = '';
  res.on('data', (chunk) => { data += chunk; });
  res.on('end', () => { console.log(JSON.parse(data)); });
});

req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'

url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"

response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]";

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
import requests

url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]"

headers = {
    "Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}

response = requests.get(url, headers=headers)

print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>

int main(void) {
    CURL *curl = curl_easy_init();
    if (curl) {
        struct curl_slist *headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        CURLcode res = curl_easy_perform(curl);
        if (res != CURLE_OK)
            fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;

var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

var request = new HttpRequestMessage(HttpMethod.Get, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]");

var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>

static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
    output->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl = curl_easy_init();
    if (curl) {
        std::string response;
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

        curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

        CURLcode res = curl_easy_perform(curl);
        if (res == CURLE_OK)
            std::cout << response << std::endl;
        else
            std::cerr << curl_easy_strerror(res) << std::endl;

        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);
    }
    return 0;
}
(require '[clj-http.client :as client])

(def response
  (client/get "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]"
    {:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
     :as :json}))

(println (:body response))
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]", nil)
    req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID] HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();

SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();

URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");

HttpResponse response = httpclient.execute(requestObj);

HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]';

const options = {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
  }
};

fetch(url, options)
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl

fun main() {
    val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]")
    val conn = url.openConnection() as HttpURLConnection
    conn.requestMethod = "GET"
    conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")

    val response = conn.inputStream.bufferedReader().readText()
    println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];

NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
    completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix

let () =
  let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]" in
  let headers = Cohttp.Header.init ()
    |> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
  in
  Lwt_main.run (
    Client.get ~headers uri >>= fun (_, body) ->
    Cohttp_lwt.Body.to_string body >|= fun s ->
    print_endline s)
$headers = @{
    "Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}

$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]" -Method GET -Headers $headers

$response | ConvertTo-Json
library(httr)

url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]"

response <- GET(
  url,
  add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
)

content(response, "text")
import Foundation

let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/projects/23806000097545166/issues/customviews/[CUSTOMVIEW_ID]")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")

let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data, let result = String(data: data, encoding: .utf8) {
        print(result)
    }
    semaphore.signal()
}
task.resume()
semaphore.wait()

Sample Response

200{ "customview" : { "access_type" : "2", "is_custom_column" : false, "is_anchored" : false, "criteria" : { "pattern" : "1", "criteria_json" : "[{\"cfid\":\"139655000000057107\",\"criteria_condition\":\"is\",\"value\":[\"2023-06-30T00:00:00.000Z\"]}]", "rubric" : { "criteria" : [ { "cfid" : "139655000000057107", "criteria_condition" : "is", "value" : [ "2023-06-30T00:00:00.000Z" ] } ], "pattern" : "1", "fields" : [ { "cfid" : 12, "is_encrypted" : false, "column_name" : "SUMMARY", "display_name" : "zp.dependview.milestone", "is_default" : true, "table_name" : "Issue", "field_type" : "singleline" }, { "cfid" : 139655000000266004, "is_encrypted" : false, "column_name" : "UDF_NCHAR11", "data_type" : "CHAR", "description" : "", "display_name" : "SINGLELINE_1", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "singleline" }, { "cfid" : 139655000000266006, "is_encrypted" : false, "column_name" : "UDF_NTEXT2", "data_type" : "TEXT", "description" : "", "display_name" : "MULTILINE_1", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "multiline" }, { "cfid" : 139655000000266008, "is_encrypted" : false, "column_name" : "UDF_NCHAR12", "data_type" : "CHAR", "description" : "", "display_name" : "PICKLIST_1", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "picklist" }, { "cfid" : 139655000000266010, "is_encrypted" : false, "column_name" : "UDF_NUSER5", "data_type" : "USER", "description" : "", "display_name" : "USERPICKLIST @ALL", "is_default" : false, "module_data" : { "userlist_type" : "1", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "userpicklist" }, { "cfid" : 139655000000266012, "is_encrypted" : false, "column_name" : "UDF_NDATE3", "data_type" : "DATE", "description" : "", "display_name" : "DATETIME_1", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "dateandtime" }, { "cfid" : 139655000000266002, "is_encrypted" : false, "column_name" : "UDF_NLONG2", "data_type" : "LONG", "description" : "", "display_name" : "NUMBER_1", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "Numeric" }, { "cfid" : 139655000000266119, "is_encrypted" : false, "column_name" : "UDF_NCHAR13", "data_type" : "CHAR", "description" : "", "display_name" : "SINGELINE_2", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "singleline" }, { "cfid" : 139655000000266121, "is_encrypted" : false, "column_name" : "UDF_NTEXT3", "data_type" : "TEXT", "description" : "", "display_name" : "MULTILINE_2", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "multiline" }, { "cfid" : 139655000000266123, "is_encrypted" : false, "column_name" : "UDF_NCHAR14", "data_type" : "CHAR", "description" : "", "display_name" : "PICKLIST_2", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "picklist" }, { "cfid" : 139655000000266125, "is_encrypted" : false, "column_name" : "UDF_NUSER6", "data_type" : "USER", "description" : "", "display_name" : "USERPICKLIST @ROLE", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "userpicklist" }, { "cfid" : 139655000000266127, "is_encrypted" : false, "column_name" : "UDF_NDATE4", "data_type" : "DATE", "description" : "", "display_name" : "DATETIME2", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "dateandtime" }, { "cfid" : 139655000000266117, "is_encrypted" : false, "column_name" : "UDF_NLONG3", "data_type" : "LONG", "description" : "", "display_name" : "NUMBER_2", "is_default" : false, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "CustomFieldsValue", "field_type" : "Numeric" }, { "cfid" : 139655000000057105, "is_encrypted" : false, "column_name" : "REPORTER", "data_type" : "CHAR", "description" : "", "display_name" : "zp.buglayout.reporter", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "userpicklist" }, { "cfid" : 139655000000057107, "is_encrypted" : false, "column_name" : "CREATED_TIME", "data_type" : "DATE", "description" : "", "display_name" : "zp.buglayout.created", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "dateandtime" }, { "cfid" : 139655000000057109, "is_encrypted" : false, "column_name" : "USERGROUP_ID", "data_type" : "TEAM", "description" : "", "display_name" : "zp.groups.associatedteams", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "ZPIssueUserGroupMapping", "field_type" : "teampicklist" }, { "cfid" : 139655000000057111, "is_encrypted" : false, "column_name" : "ASSIGNEE_ZPUID", "data_type" : "CHAR", "description" : "", "display_name" : "zp.buglayout.assignee", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "userpicklist" }, { "cfid" : 139655000000057113, "is_encrypted" : false, "column_name" : "TAG_ID", "data_type" : "CHAR", "description" : "", "display_name" : "zp.tag.tags1", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "ZPTagEntityMapping3", "field_type" : "picklist" }, { "cfid" : 139655000000057115, "is_encrypted" : false, "column_name" : "ISSUECOMPLETEDON", "data_type" : "DATE", "description" : "", "display_name" : "zp.buglayout.lastclosed", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "dateandtime" }, { "cfid" : 139655000000057117, "is_encrypted" : false, "column_name" : "UPDATED_TIME", "data_type" : "DATE", "description" : "", "display_name" : "zp.buglayout.modified", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "dateandtime" }, { "cfid" : 139655000000057119, "is_encrypted" : false, "column_name" : "DUE_DATE", "data_type" : "DATE", "description" : "", "display_name" : "zp.buglayout.duedate", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "dateandtime" }, { "cfid" : 139655000000057121, "is_encrypted" : false, "column_name" : "ISSUESTATUS_ID", "data_type" : "CHAR", "description" : "", "display_name" : "zp.reports.status", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057123, "is_encrypted" : false, "column_name" : "SEVERITY_ID", "data_type" : "CHAR", "description" : "", "display_name" : "Severity", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057125, "is_encrypted" : false, "column_name" : "MILESTONEID", "data_type" : "CHAR", "description" : "", "display_name" : "Release Milestone", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "IssueMilestoneMapping", "field_type" : "picklist" }, { "cfid" : 139655000000057127, "is_encrypted" : false, "column_name" : "AFFECTED_MILEID", "data_type" : "CHAR", "description" : "", "display_name" : "Affected Milestone", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "IssueAffectedMileMapping", "field_type" : "picklist" }, { "cfid" : 139655000000057129, "is_encrypted" : false, "column_name" : "MODULEID", "data_type" : "CHAR", "description" : "", "display_name" : "Module", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057131, "is_encrypted" : false, "column_name" : "ISSUETYPE_ID", "data_type" : "CHAR", "description" : "", "display_name" : "Classification", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057133, "is_encrypted" : false, "column_name" : "PRIORITY_ID", "data_type" : "CHAR", "description" : "", "display_name" : "Reproducible", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057135, "is_encrypted" : false, "column_name" : "FLAG", "data_type" : "CHAR", "description" : "", "display_name" : "zp.buglayout.Flag", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 139655000000057137, "is_encrypted" : false, "column_name" : "RATE_PER_HOUR", "data_type" : "DOUBLE", "description" : "", "display_name" : "zp.invoice.rateperhour", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "decimal" }, { "cfid" : 139655000000057139, "is_encrypted" : false, "column_name" : "COST_RATE_PER_HOUR", "data_type" : "DOUBLE", "description" : "", "display_name" : "zp.invoice.costrateperhour", "is_default" : true, "module_data" : { "userlist_type" : "0", "role_picklist" : [ ] }, "table_name" : "Issue", "field_type" : "decimal" }, { "cfid" : 17, "is_encrypted" : false, "column_name" : "AGE_SINCE_CREATED", "display_name" : "zp.bugs.age_sincecreated", "is_default" : true, "table_name" : "Issue", "field_type" : "Numeric" }, { "cfid" : 18, "is_encrypted" : false, "column_name" : "AGE_SINCE_DUE", "display_name" : "zp.bugs.age_sincedue", "is_default" : true, "table_name" : "Issue", "field_type" : "Numeric" }, { "cfid" : 46, "is_encrypted" : false, "column_name" : "ISTASKMAPPED", "display_name" : "zp.taskbugmapping.mappedtask", "is_default" : true, "table_name" : "Issue", "field_type" : "picklist" }, { "cfid" : 23, "is_encrypted" : false, "column_name" : "FOLLOWER", "display_name" : "Issues I Follow", "is_default" : true, "table_name" : "ZPIssueFollow", "field_type" : "userpicklist" }, { "cfid" : 24, "is_encrypted" : false, "column_name" : "ISSUPPORT_TICKET_ASSOCIATED", "display_name" : "Issues from Zoho Desk", "is_default" : true, "table_name" : "Issue", "field_type" : "singleline" }, { "cfid" : 19, "is_encrypted" : false, "column_name" : "ISESCALATED", "display_name" : "zp.bugset.esclevel", "is_default" : true, "table_name" : "Issue", "field_type" : "Numeric" } ] } }, "project_access_type" : "2", "description" : "Issues that are created during the production failure.\r\n", "is_deletable" : true, "is_editable" : true, "is_favourite" : false, "is_default" : false, "custom_view_owner" : "73746290", "overview_access" : false, "module_id" : "139655000000018003", "custom_view_id" : "139655000000114150", "name" : "Created Date is 30-6-2023" } }
AI Tools
ChatGPT Open in ChatGPT ↗ Open in ChatGPT to ask questions about this page
Claude Open in Claude ↗ Open in Claude to ask questions about this page
Copy as Markdown Copy this page as markdown to use with AI assistants
View as Markdown ↗ Open this page as markdown in a new tab
Copy OpenAPI Spec Copy the OpenAPI YAML to the clipboard
View as YAML ↗ Open the OpenAPI spec in a new tab
Download YAML Save the OpenAPI spec as a .yaml file